org.bouncycastle.pqc.crypto.xmss

## Class XMSSMTPublicKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.pqc.crypto.xmss.XMSSMTKeyParameters
    - - org.bouncycastle.pqc.crypto.xmss.XMSSMTPublicKeyParameters

- All Implemented Interfaces:
    CipherParameters, XMSSStoreableObjectInterface, Encodable

      public final class XMSSMTPublicKeyParameters
      extends XMSSMTKeyParameters
      implements XMSSStoreableObjectInterface, Encodable

  XMSS^MT Public Key.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `XMSSMTPublicKeyParameters.Builder`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getEncoded()` Return a byte array representing the implementing object.
    `XMSSMTParameters` | `getParameters()`
    `byte[]` | `getPublicSeed()`
    `byte[]` | `getRoot()`
    `byte[]` | `toByteArray()` Deprecated. use getEncoded() - this method will become private.

    - ### Methods inherited from class org.bouncycastle.pqc.crypto.xmss.XMSSMTKeyParameters

      `getTreeDigest`

    - ### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

      `isPrivate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getEncoded

          public byte[] getEncoded()
                            throws java.io.IOException

      Description copied from interface: `Encodable`
      Return a byte array representing the implementing object.
      Specified by:
        `getEncoded` in interface `Encodable`
      Returns:
        a byte array representing the encoding.
      Throws:
        `java.io.IOException` - if an issue arises generation the encoding.

    - #### toByteArray

          @Deprecated
          public byte[] toByteArray()

      Deprecated. use getEncoded() - this method will become private.
      Description copied from interface: `XMSSStoreableObjectInterface`
      Create byte representation of object.
      Specified by:
        `toByteArray` in interface `XMSSStoreableObjectInterface`
      Returns:
        Byte representation of object.

    - #### getRoot

          public byte[] getRoot()

    - #### getPublicSeed

          public byte[] getPublicSeed()

    - #### getParameters

          public XMSSMTParameters getParameters()